{{$accessibleAttributes := index .role.WritableProcesAttributes .proces.Name}}
{{if $accessibleAttributes}}
{{/* Note: when the user has permissions to change at least one attribute of this proces, we assume the user permissions to set the proces status. */}}

<label class="col-span-12 sm:col-span-5 md:col-span-4 py-2 sm:pr-2 sm:mb-5 text-gray-600 font-medium break-words" for="attribute-status">Status</label>
<div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5 sm:mb-7">
  {{range $i, $status := .proces.Statuses}}
  <label class="flex items-center mb-1{{if eq $i 0}} mt-2{{end}}">
    <input class="form-radio mr-2 text-sky-600 bg-white border-gray-300 focus:ring-sky-500" type="radio" name="status" value="{{.Name}}"
    {{- if eq $i 0}} checked{{end -}}
    >
    {{.Label}}
  </label>
  {{end}}
</div>

{{range $i, $attribute := .proces.Attributes}}
{{if stringIn $accessibleAttributes .Name}}
{{template "partials/attribute-edit" (dict "attribute" . "data" (index $.data .Name) "index" $i)}}
{{end}}
{{end}}
{{else}}
{{/* Note: when the user has no permissions to change any attribute of this proces, we assume the user has no permissions to set the proces status. */}}

<p class="col-span-12 mb-7">Je hebt helaas geen rechten om dit type proces in te voeren.</p>
{{end}}
